Bug 1484123 - In the deployment page, status for # of pods displayed is incorrect [NEEDINFO]
Summary: In the deployment page, status for # of pods displayed is incorrect
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.3.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: ---
Assignee: Samuel Padgett
QA Contact: XiaochuanWang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-22 18:22 UTC by Vítor Corrêa
Modified: 2020-12-14 09:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-04 18:59:18 UTC
Target Upstream Version:
spadgett: needinfo? (vcorrea)


Attachments (Terms of Use)

Description Vítor Corrêa 2017-08-22 18:22:38 UTC
How reproduce-able:

1) Create new service, deploy service
2) Once app is deployed, go to Project -> Overview page. Note the # of pods displayed for the service.
3) Go to Project -> Application -> Deployment. Choose any of the items under last deployment (i.e. #1). 

Actual results: The # of pods displayed here shows "0 scaling to 2". 

Expected results: We expect the UI to display 2 pods, but it's not.

Comment 1 Samuel Padgett 2017-08-22 18:56:21 UTC
1. Are you able to share the YAML for the deployment config, replication controller, and pods for that deployment?

2. Are there any errors in the JavaScript console of your web browser's developer tools?

3. Are there any errors in the network tab of your web browser's developer tools?

See "How to open devtools in your browser" (usually Ctrl-Shift-I)
https://developer.mozilla.org/en-US/docs/Learn/Common_questions/What_are_browser_developer_tools


Note You need to log in before you can comment on or make changes to this bug.